## ntop 5.0.1+dfsg1

=== utils/Makefile ===
CFLAGS=-g
LDFLAGS=

# Naming our phony targets
.PHONY: clean install all mac

# Programs
PROGRAMS=addMacAddress addVlanName gdbm_rw
OBJECTS=addMacAddress.o addVlanName.o
SOURCES=addMacAddress.c addVlanName.c

all: mac vlan gdbm_rw
mac: addMacAddress
vlan: addVlanName


gdbm_rw: gdbm_rw.c
	$(CC) $(CFLAGS) gdbm_rw.c -lgdbm -o gdbm_rw

addMacAddress: addMacAddress.c
	$(CC) $(CFLAGS) addMacAddress.c -lgdbm -o addMacAddress

addVlanName: addVlanName.c
	$(CC) $(CFLAGS) addVlanName.c -lgdbm -o addVlanName

# Installing the final product
install:
	@echo "Utility programs do not need to be installed!"

.c.o:
	@rm -f $@
	$(CC) $(CFLAGS) -c $*.c

# Removing the executable and the object files
clean:
	@rm -f $(PROGRAMS)
	@rm -f *.o
	@rm -f *~ #* core
	@echo make clean complete

=== utils/rrd-alarm/Makefile ===
#
# Configure the BASE variable before compiling the tool
#
BASE=/usr/local/rrdtool/


INCLUDE=-I$(BASE)
LIBS=-L$(BASE).libs -lrrd
CFLAGS=-g -Wall -pedantic -I$(BASE) -I$(BASE) -pipe
CC=gcc

TARGET=rrd_alarm
$(TARGET): $(TARGET).c Makefile
	   $(CC) $(CFLAGS) $(INCLUDE) $(TARGET).c -o $(TARGET) $(LIBS)

clean:
	@/bin/rm -rf *~ $(TARGET) *.png *cache

=== packages/FreeBSD-ports/net/ntop/Makefile ===
# New ports collection makefile for:   ntop
# Date created:        April 2003
# Whom:                Burton Strauss <burton@ntopsupport.com>
#
# $FreeBSD: ports/net/ntop/Makefile,v 1.26 2003/02/20 18:51:01 knu Exp $
#

PORTNAME=	ntop
PORTVERSION=	3.0pre2
PORTREVISION=	0
CATEGORIES=	net
MASTER_SITES= 	${MASTER_SITE_SOURCEFORGE}
MASTER_SITE_SUBDIR=	sourceforge/ntop/
COMMENT=        network monitor

DISTNAME=	${PORTNAME}-${PORTVERSION:S|.r|-rc|}
EXTRACT_SUFX=	.tgz

MAINTAINER=	ports@FreeBSD.org

# Besides the required dependencies listed here, this port can optionally
# make use of sysutils/lsof if installed.
LIB_DEPENDS=	gdbm:${PORTSDIR}/databases/gdbm
BUILD_DEPENDS=	

# ntop will store its runtime database files in ${DBDIR}/ntop/
DBDIR?=		/var/db

# The default startup script in ${LOCALBASE}/etc/rc.d will invoke
# with a flag to force it to log to ${LOGDIR}
LOGDIR?=	/var/log

WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
USE_GMAKE=	yes
USE_LIBTOOL=	yes
INSTALLS_SHLIB=	yes
PLIST_SUB+=	DBDIR=${DBDIR}
PKGMESSAGE=	${WRKDIR}/pkg-message
CONFIGURE_ARGS=	--localstatedir=${DBDIR} \
		--with-gdbm-root=${LOCALBASE} \
		--with-ossl-include=/usr/include/openssl  \
		--with-zlib-include=/usr/include/net  \
		--with-rrd-root=${LOCALBASE} \
		--with-gdchart-root=${LOCALBASE} \
		--with-rrd-root=${LOCALBASE} \
		--with-gd-root=${LOCALBASE} \
		--with-png-include=${LOCALBASE}/include/libpng  \
		--with-png-lib=${LOCALBASE} \
		--enable-i18n \
		--with-localedir=/usr/share/locale

.if !defined(WITHOUT_TCPWRAP)
CONFIGURE_ARGS+=	--enable-tcpwrap
.endif

.include <bsd.port.pre.mk>

MAN8=		ntop.8

# Remove included dependencies as a precaution against polluting the
# configuration.  Not strictly necessary.
pre-configure:
	@ ${RM} -rf ${WRKDIR}/${PORTNAME}-${PORTVERSION}/gdchart*

post-configure:
	@ ${SED} -e 's#%%LOCALBASE%%#${LOCALBASE}#g' \
	  pkg-message > ${PKGMESSAGE}

post-install:
	@ if ! pw groupshow ntop 2>&1 > /dev/null; then pw groupadd ntop; fi
	@ if ! pw usershow ntop 2>&1 > /dev/null; then pw useradd ntop -g ntop -s /sbin/nologin; fi
	@ ${MKDIR} ${DBDIR}/${PORTNAME}
	@ ${MKDIR} ${DBDIR}/${PORTNAME}/rrd
	@ chown -R ntop:ntop ${DBDIR}/${PORTNAME}
	@ mv ${PREFIX}/man/man8/i386-portbld-freebsd*-ntop.8 ${PREFIX}/man/man8/ntop.8
	@ mv ${PREFIX}/bin/i386-portbld-freebsd*-ntop ${PREFIX}/bin/ntop
	@ ${MKDIR} ${PREFIX}/etc/rc.d
	@ ${SED} -e "s#%%PREFIX%%#${PREFIX}#g" \
	  -e "s#%%LOGDIR%%#${LOGDIR}#g" ${FILESDIR}/ntop.sh > \
	  ${WRKDIR}/ntop.sh
	@ ${INSTALL_DATA} ${WRKDIR}/ntop.sh ${PREFIX}/etc/rc.d
	@ ${SED} -e "s#%%DBDIR%%#${DBDIR}#g" \
	  ${FILESDIR}/ntop.conf.sample > \
	  ${WRKDIR}/ntop.conf.sample
	@ ${INSTALL_DATA} ${WRKDIR}/ntop.conf.sample ${PREFIX}/etc/ntop
.if !defined(BATCH)
	@ ${CAT} ${PKGMESSAGE}
.endif

.include <bsd.port.post.mk>

=== debian/changelog ===
ntop (3:5.0.1+dfsg1-2ubuntu1) trusty; urgency=medium

  * debian/rules: use dh_autotools-dev to update config.* for new ports.
  * debian/patches/kfreebsd-ftbfs.patch: fix broken preprocessor ifdefs.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 30 Mar 2014 01:12:55 -0600

ntop (3:5.0.1+dfsg1-2) unstable; urgency=medium

  * Use system jquery js and css (Closes: #737444).
  * Include non-minimized source for jquery.jqplot.js (Closes: #737444).
  * Add versioncheck.patch to fix handling and documentation of
    --skip-version-check command line option (Closes: #737917).
  * Update Standards-Version to 3.9.5.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 01 Mar 2014 01:05:28 -0800

ntop (3:5.0.1+dfsg1-1) unstable; urgency=low

  * Imported Upstream version 5.0.1+dfsg1
  * Update copyright.
  * Update NEWS about this being the last release.
  * Make ndpi svn revsion optional in the package version string.
  * Remove patches merged upstream:
    - tcp-option-parsing.patch
    - l7_major_proto-fix.patch
    - install-jqplot.patch
    - remove-fragment-handling.patch
  * Refresh other pacthes.
  * Update debian/copyright, listing html/JSCookMenu.js correctly as MIT
    license (Closes: #696749).
  * Add dependency on python.
  * Update Japanese debconf translation (Closes: #715284).
  * Update Vcs fileds to canonical form.
  * Update Standards-Versions to 3.9.4.

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 12 Sep 2013 10:56:36 +0200

=== debian/control ===
Source: ntop
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ludovico Cavedon <cavedon@debian.org>
Build-Depends-Indep: groff
Build-Depends: debhelper (>= 8), libpcap0.8-dev, autoconf, automake,
 libgdbm-dev, libpng-dev, libncurses5-dev, libtool, libwrap0-dev,
 libgd2-noxpm-dev, libjpeg-dev, po-debconf, librrd2-dev, python-dev,
 libgeoip-dev
Standards-Version: 3.9.5
Homepage: http://www.ntop.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/ntop.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ntop.git

Package: ntop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ntop-data (= ${source:Version}),
 python-mako, net-tools, adduser, passwd
Suggests: graphviz, gsfonts
Description: display network usage in web browser
 ntop is a network traffic probe that shows the network usage, similar to what
 the popular top Unix command does. ntop is based on libpcap and it has been
 written in a portable way in order to virtually run on every Unix platform and
 on Win32 as well.
 .
 ntop users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface.
 The use of:
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size
  and traffic)
 make ntop easy to use and suitable for monitoring various kind of networks.
 .
 This package contains the ntop daemon.

Package: ntop-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ntop (= ${binary:Version}),
 python-mako, net-tools, adduser, passwd
Suggests: graphviz, gsfonts
Description: display network usage in web browser (debug symbols)
 ntop is a network traffic probe that shows the network usage, similar to what
 the popular top Unix command does. ntop is based on libpcap and it has been
 written in a portable way in order to virtually run on every Unix platform and
 on Win32 as well.
 .
 ntop users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface.
 The use of:
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size
  and traffic)
 make ntop easy to use and suitable for monitoring various kind of networks.
 .
 This package contains the debug symbols for the ntop daemon.

Package: ntop-data
Architecture: all
Depends: ${misc:Depends}
Recommends: ntop (>= ${source:Version})
Breaks: ntop (<< 3:4.0)
Replaces: ntop (<< 3:4.0)
Suggests: geoip-database-contrib, python, libjs-jquery, libjs-jquery-ui
Description: display network usage in a web browser (data files)
 ntop users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface.
 The use of:
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size
  and traffic)
 make ntop easy to use and suitable for monitoring various kind of networks.
 .
 ntop displays a summary of network usage by machines on your network in a web
 mode, which allows the display to be browsed with a web browser.
 .
 This package contains 3rd party data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND  = -DMAKE_WITH_IGNORE_SIGPIPE

override_dh_auto_configure:
	./autogen.sh \
	--prefix=/usr --bindir=/usr/sbin --libdir=/usr/lib/ntop \
	--sysconfdir=/usr/share --localstatedir=/var/lib \
	--without-ssl \
	$(shell dpkg-buildflags --export=configure) 


override_dh_auto_install:
	dh_auto_install
	chmod -x $(CURDIR)/debian/tmp/usr/share/ntop/python/templates/rrdAlarmStart.tmpl
	find $(CURDIR)/debian/tmp/usr/share/ntop/html -type f -exec chmod -x '{}' \;

	mkdir -p $(CURDIR)/debian/tmp/etc/ntop
	cp debian/protocol.list $(CURDIR)/debian/tmp/etc/ntop
	gunzip $(CURDIR)/debian/tmp/usr/share/ntop/*.gz

	#logcheck
	mkdir -p $(CURDIR)/debian/tmp/etc/logcheck/ignore.d.server
	mkdir -p $(CURDIR)/debian/tmp/etc/logcheck/ignore.d.workstation
	mkdir -p $(CURDIR)/debian/tmp/etc/logcheck/ignore.d.paranoid
	cp debian/logcheck $(CURDIR)/debian/tmp/etc/logcheck/ignore.d.server/ntop
	cp debian/logcheck $(CURDIR)/debian/tmp/etc/logcheck/ignore.d.workstation/ntop
	cp debian/logcheck.paranoid $(CURDIR)/debian/tmp/etc/logcheck/ignore.d.paranoid/ntop

	#logrotate
	mkdir -p $(CURDIR)/debian/tmp/etc/logrotate.d
	cp debian/logrotate $(CURDIR)/debian/tmp/etc/logrotate.d/ntop

	# remove development files
	find $(CURDIR)/debian/tmp/usr/lib -name "*.a" -exec rm '{}' \;
	find $(CURDIR)/debian/tmp/usr/lib -name "*.la" -exec rm '{}' \;
	find $(CURDIR)/debian/tmp/usr/lib -name "lib*Plugin*.so" -exec rm '{}' \;

	# link to GeoIP databases
	ln -s /usr/share/GeoIP/GeoLiteCity.dat $(CURDIR)/debian/tmp/usr/share/ntop/GeoLiteCity.dat
	ln -s /usr/share/GeoIP/GeoIPASNum.dat $(CURDIR)/debian/tmp/usr/share/ntop/GeoIPASNum.dat

# avoid useless call to ldconfig for private libraries (see bug #205142)
override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/ntop

override_dh_strip:
	        dh_strip --dbg-package=ntop-dbg

override_dh_auto_clean:
	dh_auto_clean
	./autogen.sh -p || true
	rm -f etter.finger.os.gz \
		oui.txt.gz \
		specialMAC.txt.gz \
		version.c \
		faq.html \
		html/faq.html
	rm -fr m4
	debconf-updatepo

%:
	dh $@ --with autotools_dev

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]+:)?([^+]+).*,\2,p')
DEB_DFSG_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]+:)?(.*\+dfsg[0-9]+).*,\2,p')
NDPI_REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]+:)?[^+]+(\+ndpi([0-9]+))?\+dfsg.*,\2,p')

get-orig-source:
	sh debian/get-orig-source.sh $(DEB_UPSTREAM_VERSION) $(DEB_DFSG_VERSION) $(NDPI_REV)
